Raised This Month: $94 Target: $400
 23% 

AMXX Version


Post New Thread Reply   
 
Thread Tools Display Modes
Author Message
Napoleon_be
Veteran Member
Join Date: Jul 2011
Location: Belgium
Old 01-13-2020 , 13:33   AMXX Version
Reply With Quote #1

Hi all,

I've been bothering bugsy for the past few hours and i still haven't figured out what the problem is. I've downloaded the dev build 1.9 "Base package" and "Counter-strike" package. from this page: https://www.amxmodx.org/downloads-new.php

I replaced my old amxmodx folder with the newer one. Now i'm using this line in one of my plugins to check the current AMXX version and it's still showing this output: ver=182

PHP Code:
client_print(idprint_chat"ver=%d" AMXX_VERSION_NUM
I'm also using the amxxpc.exe file that i got from the latest 1.9 dev build, to compile my plugins. I also recompiled the plugin and replaced it in my plugins folder and the output is still the same.

Can someone please give me some feedback on this and help me search for a solution? I decided to give Bugsy some rest lol.

EDIT: Okay, so Bugsy suggested me to type amx_modules in console and this was the output

Code:
Currently loaded modules:
name version author status
FakeMeta 1.9.0.5263 AMX Mod X Dev Team running
Fun 1.9.0.5263 AMX Mod X Dev Team running
Ham Sandwich 1.9.0.5263 AMX Mod X Dev Team running
CStrike 1.9.0.5263 AMX Mod X Dev Team running
Engine 1.9.0.5263 AMX Mod X Dev Team running
5 modules
Meaning that i'm running 1.9 version.

So i think i have to update my compiler somehow, when i used the amxxpc.exe file delivered with the packages, i had a warning that said "Unreachable Code" refering to
PHP Code:
return PLUGIN_CONTINUE
. So i decided to copy some certain files and the warning just disappeared like that. Files i copied are those

Code:
amxxpc32.dylib
amxxpc32.dll
amxxpc32.so
__________________

Last edited by Napoleon_be; 01-13-2020 at 14:24.
Napoleon_be is offline
Send a message via Skype™ to Napoleon_be
OciXCrom
Veteran Member
Join Date: Oct 2013
Location: Macedonia
Old 01-13-2020 , 15:32   Re: AMXX Version
Reply With Quote #2

scirpting/include/amxmodx_version.inc:

Code:
#define AMXX_VERSION_NUM            190

It doesn't make sense if it says something else for you if you updated correctly. Even if the compiler isn't updated, it should still output 190 because it reads from the include files. The version is not built in the compiler itself.

I think you're compiling in a completely different folder from the one you downloaded.
__________________
OciXCrom is offline
Send a message via Skype™ to OciXCrom
DJEarthQuake
Senior Member
Join Date: Jan 2014
Location: Midwest
Old 01-13-2020 , 17:34   Re: AMXX Version
Reply With Quote #3

Quote:
Originally Posted by Napoleon_be View Post
I replaced my old amxmodx folder with the newer one.
Define replace? Overwrite?
Rename/backup the folder. Then drop the new install in while server isn't in the process of trying to restart. Complete process kill.

If running Linux take advantage of lsof. That will find the list of open files still in memory.

Example:
lsof |grep amxx
__________________
"It's not the actual programming that's interesting. But it's what you can accomplish with the end results that are important." -Dennis Ritchie
"Mathematics, rightly viewed, possesses not only truth, but supreme beauty a beauty cold and austere, like that of sculpture..." -Bertrand Russell
DJEarthQuake is offline
Napoleon_be
Veteran Member
Join Date: Jul 2011
Location: Belgium
Old 01-14-2020 , 10:28   Re: AMXX Version
Reply With Quote #4

Quote:
Originally Posted by OciXCrom View Post
scirpting/include/amxmodx_version.inc:

Code:
#define AMXX_VERSION_NUM            190

It doesn't make sense if it says something else for you if you updated correctly. Even if the compiler isn't updated, it should still output 190 because it reads from the include files. The version is not built in the compiler itself.

I think you're compiling in a completely different folder from the one you downloaded.
Well console says i'm using 1.9.0 and the AMXX_VERSION_NUM says 182, i'll check my amxmodx_version.inc

Quote:
Originally Posted by DJEarthQuake View Post
Define replace? Overwrite?
Rename/backup the folder. Then drop the new install in while server isn't in the process of trying to restart. Complete process kill.

If running Linux take advantage of lsof. That will find the list of open files still in memory.

Example:
lsof |grep amxx
Well i basicly overwrote the old folder. After i did that and i saw my message was still showing 182, i renamed the overwritten folder to amxmodx182 and installed the new folder again and named it amxmodx as it should be. Game console now shows 1.9.0, but my message in my plugin still shows 182
__________________

Last edited by Napoleon_be; 01-14-2020 at 10:29.
Napoleon_be is offline
Send a message via Skype™ to Napoleon_be
HamletEagle
AMX Mod X Plugin Approver
Join Date: Sep 2013
Location: Romania
Old 01-14-2020 , 12:44   Re: AMXX Version
Reply With Quote #5

Are you sure you updated your compiler and includes folder?
__________________

Last edited by HamletEagle; 01-14-2020 at 12:44.
HamletEagle is offline
Napoleon_be
Veteran Member
Join Date: Jul 2011
Location: Belgium
Old 01-14-2020 , 13:18   Re: AMXX Version
Reply With Quote #6

@HamletEagle, i just installed everything again and i think i got it to work. But now i'm getting warnings in 2 of my plugins.

Code:
AMX Mod X Compiler 1.9.0.5263
Copyright (c) 1997-2006 ITB CompuPhase
Copyright (c) 2004-2013 AMX Mod X Team

Warning: Unreachable code on line 163
Warning: Symbol "client_disconnect" is marked as deprecated: Use client_disconnected() instead. on line 338

Header size:           1788 bytes
Code size:            10496 bytes
Data size:             3960 bytes
Stack/heap size:      16384 bytes
Total requirements:   32628 bytes

2 Warnings.
Done.
Line 163 =
PHP Code:
 return PLUGIN_CONTINUE
Full function on for line 163
PHP Code:
public VipsOnline(id) {
    new 
bool:IsFirst true;
    new 
szMessage[256], iLenszPlayers[32], iNum;
    
    
get_players(szPlayersiNum);
    
    for(new 
iiNumi++)
    {
        if(!
is_user_connected(szPlayers[i]) || !(get_user_flags(szPlayers[i]) & VIP_LEVEL))
        {
            continue;
        }
        
        if(!
IsFirst)
        {
            
szMessage[iLen++] = ' ';
            
szMessage[iLen++] = '|';
            
szMessage[iLen++] = ' ';
        }
        
        
szMessage[iLen++] = '^x04';
        
szMessage[iLen] = EOS;
        
        
iLen += get_user_name(szPlayers[i], szMessage[iLen], charsmax(szMessage) - iLen);
        
        
szMessage[iLen++] = '^x01';
        
szMessage[iLen] = EOS;
        
        
IsFirst false;
    }
    
    if(
IsFirst)
    {

        
ColorChat(idGREEN"There are no vips online.");
        return 
PLUGIN_HANDLED;
    }
    else
    {
        
ColorChat(idTEAM_COLOR"Online Vips: %s"szMessage);
        return 
PLUGIN_HANDLED;        
    }
    
    return 
PLUGIN_CONTINUE;

Line 338
PHP Code:
public client_disconnect(id)
{
    if(
get_user_flags(id) & VIP_LEVEL
    {
        
bUsedMenu[id] = false;
        
bHasWeapon[id] = false;
        
iJumpNum[id] = 0;
        
bDoJump[id]  =false;
    }

__________________
Napoleon_be is offline
Send a message via Skype™ to Napoleon_be
OciXCrom
Veteran Member
Join Date: Oct 2013
Location: Macedonia
Old 01-14-2020 , 17:23   Re: AMXX Version
Reply With Quote #7

The first one is actually a fix from 1.8.2. The line is clearly unreachable because you have a "return" statement above it which is guaranteed to be called, since either the "if" or "else" code block will be executed, so the "PLUGIN_CONTINUE" should not be there - remove the entire line.

The other warning is telling you that in 1.9 there's a new forward "client_disconnected" which is a replacement for "client_disconnect" - this one is deprecated now because it doesn't catch all situations when a client disconnects, so you should replace it with the new one.
__________________
OciXCrom is offline
Send a message via Skype™ to OciXCrom
Napoleon_be
Veteran Member
Join Date: Jul 2011
Location: Belgium
Old 01-15-2020 , 06:04   Re: AMXX Version
Reply With Quote #8

Thanks for all the help, much appreciated
__________________
Napoleon_be is offline
Send a message via Skype™ to Napoleon_be
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 17:08.


Powered by vBulletin®
Copyright ©2000 - 2020, vBulletin Solutions, Inc.
Theme made by Freecode